#!/bin/sh



echo "Starting Server....."

# ------------------------------------------------

# Set these configuration parameters

# ------------------------------------------------



export JAVAHOME=/usr/java/jdk1.3

#t=`pwd`

t="/opt/anabas/sharedlet_server/bin"

installdir=$t/..

libdir=$installdir/lib

java=${JAVAHOME}/bin/java

classpath="$libdir/sharedlet_server.jar:$libdir/anabasutil.jar:$libdir/gxo.jar:$libdir/sharedlet.jar:$JAVAHOME/jre/lib/rt.jar:$libdir/jabber.jar:$libdir/mail.jar:$libdir/activation.jar:$libdir/jndi.jar"



# Overriden configuration parameters

# ------------------------------------------------



recordhome=/opt/anabas/recording/



# ------------------------------------------------

# Run the server

# ------------------------------------------------



export LD_LIBRARY_PATH=$libdir:$libdir/anabas/bin


#I assume that there must be one meetingID passed in, if not, back luck!
mid=$1
meetingid=`echo $mid | cut -f2 -d=`
file="/opt/anabas/log/$meetingid/pid"
echo $$ >$file

if [ "$1" = "" ]; then

  echo "- using meetingID in vc.config...."

   $java -classpath $classpath $* -Drecorder.home=$recordhome -Dsystem.tempDir=$installdir/temp -Dsystem.repositoryroot=$installdir/sharedlet_repository com.anabas.sessionserver.DefaultSessionLogicServer 

else

  echo "- using override parameters $@"

  $java -classpath $classpath $* -Drecorder.home=$recordhome -Dsystem.tempDir=$installdir/temp -Dsystem.repositoryroot=$installdir/sharedlet_repository com.anabas.sessionserver.DefaultSessionLogicServer 

fi

rm -f $file

