#!/bin/sh
#######################################################
#	Author		Hong ZHou
#	Date		3-5-01
#	This script remotely calls another script located on com1.anabas.com
#	to start the session logic to playback some recording
#	It will get the parameters from The servlet program PlaybackProxy

#	I assume that the first parameter passed in is the meeting id.  IF not, bad luck.
if [ $# -lt 1 ]
then
	echo "Usage $0 meetingID {parameters}"
	exit 1
fi
id=$1
meetingid=`echo $id | cut -f2 -d=`
dir="/opt/anabas/log/$meetingid"
pidfile="$dir/pid"
if [ ! -e $pidfile ]
then
	echo "No such $pidfile exist"
	exit 1
fi
read pid <$pidfile
pids_file="$dir/pids"
ps -ef | grep $pid >$pids_file
temp="$dir/tempfile"
cat $pids_file | /usr/bin/cut -f5 -d' ' >$temp
#while read pid
#do
#	kill -9 $pid
#done<$temp

{ read pid1;read pid2 } <$temp
kill -9 $pid1
kill -9 $pid2

rm -f $temp
rm -f $pidfile
rm -f $pids_file
exit 0
