@echo off

REM ------------------------------------------------
REM Set these configuration parameters
REM ------------------------------------------------

SET JAVAHOME=%1
SET INSTALLDIR=%2
SET SWINGHOME=%3

IF NOT DEFINED JAVAHOME (SET JAVAHOME=c:\progra~1\javasoft\jdk\1.1.8)
IF NOT DEFINED SWINGHOME (SET SWINGHOME=c:\progra~1\javasoft\swing-1.1.1)
IF NOT DEFINED INSTALLDIR (SET INSTALLDIR=c:\vc)
REM ------------------------------------------------


SET LIBDIR=%INSTALLDIR%\lib
SET SHAREDLETROOT=%INSTALLDIR%\sharedlet_repository
SET JAVA=%JAVAHOME%\bin\java

SET OLDPATH=%PATH%
SET PATH=%INSTALLDIR%\bin;%PATH%
SET CLASSPATH=%SWINGHOME%\swingall.jar;%LIBDIR%\sharedlet.jar;%LIBDIR%\anabasutil.jar;%JAVAHOME%\lib\classes.zip;%JAVAHOME%\jre\lib\rt.jar%LIBDIR%\anabasutil.jar;%LIBDIR%\gxo.jar;%LIBDIR%\sharedlet_clientapp.jar;%LIBDIR%\jabber.jar;%LIBDIR%\mail.jar;%LIBDIR%\activation.jar

REM ------------------------------------------------
REM Run the framework
REM ------------------------------------------------

%JAVA% -classpath "%CLASSPATH%" -Dconfig=%LIBDIR%\vc.config -Dsystem.propertyfile=%INSTALLDIR%\properties.txt -Dsystem.tempDir=%INSTALLDIR%\temp -Dsystem.repositoryroot=%SHAREDLETROOT% com.anabas.sharedletsdk.VirtualClassroom

SET PATH=%OLDPATH%